image: nimlang/nim:latest

stages:
  - test
  - publish

run-unit-tests:
  stage: test
  script:
    - nimble test

publish-artifacts:
  stage: publish
  script:
    - nimble build && strip nimcoon
  artifacts:
    paths:
      - nimcoon
